%define module			keystoneauth1

%define enable_tests_python3	0

Name:		python-%{module}
Version:	4.3.0
Release:	%mkrel 1
Summary:	Authentication Library for OpenStack Clients
License:	ASL 2.0
Group:		Development/Python
URL:		http://pypi.python.org/pypi/%{module}
Source0:	http://pypi.io/packages/source/k/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%package -n	python3-%{module}
Summary:	Authentication Libarary for OpenStack Identity
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{module}}

# test requirements
%if %{enable_tests_python3}
BuildRequires:	python3dist(testrepository)
BuildRequires:	python3dist(oslotest)
BuildRequires:	python3dist(iso8601)
BuildRequires:	python3dist(mock)
BuildRequires:	python3dist(stevedore)
BuildRequires:	python3dist(oslo.config)
%endif

%description -n	python3-%{module}
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%prep
%setup -q -n %{module}-%{version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{enable_tests_python3}
# cleanup testrepository
rm -rf .testrepository
%{__python3} setup.py test
%endif


%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 15 2020 daviddavid <daviddavid> 4.3.0-1.mga8
+ Revision: 1657628
- new version: 4.3.0

* Thu Oct 22 2020 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1638529
- new version: 4.2.1

* Tue Jul 14 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1605928
- new version: 4.2.0

* Tue Jun 02 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1589632
- new version: 4.0.0

* Mon Feb 17 2020 umeabot <umeabot> 3.18.0-2.mga8
+ Revision: 1537796
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 daviddavid <daviddavid> 3.18.0-1.mga8
+ Revision: 1459143
- new version: 3.18.0

* Mon Sep 09 2019 daviddavid <daviddavid> 3.17.1-1.mga8
+ Revision: 1438689
- new version: 3.17.1
- rebuild for python3.8
- drop python2 support

* Fri Aug 23 2019 daviddavid <daviddavid> 3.17.0-1.mga8
+ Revision: 1431396
- new version: 3.17.0

* Fri Jul 19 2019 daviddavid <daviddavid> 3.15.0-1.mga8
+ Revision: 1422659
- new version: 3.15.0

* Sun Apr 21 2019 daviddavid <daviddavid> 3.14.0-1.mga7
+ Revision: 1394163
- new version: 3.14.0

* Thu Mar 07 2019 daviddavid <daviddavid> 3.13.1-1.mga7
+ Revision: 1372126
- new version: 3.13.1

* Sun Mar 03 2019 daviddavid <daviddavid> 3.13.0-1.mga7
+ Revision: 1371193
- new version: 3.13.0

* Sat Jan 12 2019 daviddavid <daviddavid> 3.11.2-1.mga7
+ Revision: 1355563
- new version: 3.11.2

* Tue Jan 08 2019 tv <tv> 3.11.1-2.mga7
+ Revision: 1351614
- rebuild with python 3.7

* Wed Oct 31 2018 daviddavid <daviddavid> 3.11.1-1.mga7
+ Revision: 1326803
- new version: 3.11.1

* Wed Oct 10 2018 daviddavid <daviddavid> 3.11.0-1.mga7
+ Revision: 1319189
- new version: 3.11.0

* Thu Sep 20 2018 umeabot <umeabot> 3.10.0-2.mga7
+ Revision: 1289163
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 3.10.0-1.mga7
+ Revision: 1244464
- new version: 3.10.0

* Fri Jun 29 2018 daviddavid <daviddavid> 3.9.0-1.mga7
+ Revision: 1240674
- new version: 3.9.0

* Thu Jun 14 2018 daviddavid <daviddavid> 3.8.0-1.mga7
+ Revision: 1236929
- new version: 3.8.0

* Tue May 22 2018 daviddavid <daviddavid> 3.7.0-1.mga7
+ Revision: 1231337
- new version: 3.7.0

* Thu May 17 2018 daviddavid <daviddavid> 3.6.2-1.mga7
+ Revision: 1230234
- new version: 3.6.2

* Sat Apr 21 2018 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1220694
- new version: 3.5.0

* Sun Jan 28 2018 daviddavid <daviddavid> 3.4.0-1.mga7
+ Revision: 1197523
- new version: 3.4.0

* Wed Dec 06 2017 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1181536
- new version: 3.3.0

* Tue Sep 12 2017 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1153201
- new version: 3.2.0
- rename python-keystoneauth1 to python2-keystoneauth1

* Sat Aug 05 2017 pterjan <pterjan> 3.1.0-2.mga7
+ Revision: 1135474
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1132230
- new version: 3.1.0

* Wed Jul 19 2017 daviddavid <daviddavid> 2.21.0-1.mga7
+ Revision: 1125014
- new version: 2.21.0

* Tue Jan 03 2017 daviddavid <daviddavid> 2.16.0-1.mga6
+ Revision: 1079835
- new version: 2.16.0

* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 971234
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 889896
- imported package python-keystoneauth1 (based on Fedora)

